{ "error": "access_denied", "error_description": "The resource owner or authorization server denied the request."}
{ "error": "invalid_redirect_uri", "error_description": "The redirect uri included is not valid."}
Calling this endpoint will send a passwordless email to the email address
specified as the username. The response to this request will be a 200
and an empty response body. The passwordless email will contain a link to log
in which will redirect the user to the specified redirect_uri with the
authorization code included in the query params (?code=...).The redirect_uri must be whitelisted for your integration by our developer
support team. If you need a URL added or changed, feel free to write to
developer.support@thanx.com.
redirect_uri is validated by exact string match. Register every URI you
use — including native custom-scheme deeplinks (yourscheme://magic,
yourscheme://open) verbatim and separately from your HTTPS web callbacks.
Registering only HTTPS callbacks makes native sign-in fail with
invalid_redirect_uri. Custom schemes are kept as-is — do not convert them to
https.
Note that abitrary data can be passed through this authentication process by
using custom query parameters. For example, for the whitelisted redirect_uri
of https://www.example.com/oauth/callback, query parameters can be appended
to the URL and will be passed through the entire auth process. As an example,
https://www.example.com/oauth/callback?table=1 as the input redirect_uri to
the API request would preserve table=1. Note that the code value is a
reserved parameter that should not be used, as that will conflict with the
access code that will be appended to the redirect_uri.If an account does not exist for the specified email, a 401 error will be
returned. To create an account, the POST /users
endpoint should be used.
{ "error": "access_denied", "error_description": "The resource owner or authorization server denied the request."}
{ "error": "invalid_redirect_uri", "error_description": "The redirect uri included is not valid."}
Request
string
required
OAuth Client ID
string
required
Where you want the user to be redirected
string
required
code is the required value
string
required
passwordless is the required value
string
required
The user’s email
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Thanx","public":true,"colors":{"primary":"#129B9B","light":"#13C1BF","dark":"#129B9B"},"logo":{"light":"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/light.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=8b3bd3f1ffbb1567714a92067df956d9","dark":"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/dark.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=9b7fc286cc5789385ace66cf725d131f"},"favicon":"https://mintcdn.com/thanx/slNzKdUXQiByOc6X/favicon.png?fit=max\u0026auto=format\u0026n=slNzKdUXQiByOc6X\u0026q=85\u0026s=bc7fda50982b59fe2dd5384ca7bd2961","api":{},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Help Center","icon":"book-bookmark","href":"https://help.thanx.com/hc/en-us"},{"anchor":"Thanx Product Updates","icon":"bullhorn","href":"https://thanx.launchnotes.io/"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.thanx.com"},{"anchor":"Email Support","icon":"envelope","href":"mailto:developer.support@thanx.com"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"thanx","hasAudioNarration":false,"actualSubdomain":"thanx","customDomains":["docs.thanx.com"],"gitSource":{"type":"github","owner":"thanx","repo":"thanx-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af11284249fd597dc8afa00","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Reference","count":96},{"language":"default","tag":"Consumer API","count":87},{"language":"default","tag":"Data Exports","count":40},{"language":"default","tag":"Partner API","count":30},{"language":"default","tag":"Thanx Connex","count":24},{"language":"default","tag":"Destination Setup","count":23},{"language":"default","tag":"Overview","count":22},{"language":"default","tag":"Models","count":11},{"language":"default","tag":"Loyalty API","count":11},{"language":"default","tag":"Users","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"consumer/sso/acquire-auth-code","slug":"/consumer/sso/acquire-auth-code","pageMetadata":{"title":"Acquire Authorization Code","api":"POST /oauth/authorize","authMethod":"none","description":"This endpoint triggers the passwordless login flow.","href":"/consumer/sso/acquire-auth-code"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint triggers the passwordless login flow.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Heading,ResponseField,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Calling this endpoint will send a passwordless email to the email address\nspecified as the `,_jsx(_components.code,{children:`username`}),`. The response to this request will be a `,_jsx(_components.code,{children:`200`}),`\nand an empty response body. The passwordless email will contain a link to log\nin which will redirect the user to the specified `,_jsx(_components.code,{children:`redirect_uri`}),` with the\nauthorization code included in the query params (`,_jsx(_components.code,{children:`?code=...`}),`).`]}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`redirect_uri`}),` must be whitelisted for your integration by our developer\nsupport team. If you need a URL added or changed, feel free to write to\n`,_jsx(`a`,{href:`mailto:developer.support@thanx.com`,children:_jsx(_components.a,{href:`mailto:developer.support@thanx.com`,children:`developer.support@thanx.com`})}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`redirect_uri`}),` is validated by `,_jsx(_components.strong,{children:`exact string match`}),`. Register every URI you\nuse — including native custom-scheme deeplinks (`,_jsx(_components.code,{children:`yourscheme://magic`}),`,\n`,_jsx(_components.code,{children:`yourscheme://open`}),`) `,_jsx(_components.strong,{children:`verbatim and separately`}),` from your HTTPS web callbacks.\nRegistering only HTTPS callbacks makes native sign-in fail with\n`,_jsx(_components.code,{children:`invalid_redirect_uri`}),`. Custom schemes are kept as-is — do not convert them to\n`,_jsx(_components.code,{children:`https`}),`.`]})}),`\n`,_jsxs(_components.p,{children:[`Note that abitrary data can be passed through this authentication process by\nusing custom query parameters. For example, for the whitelisted `,_jsx(_components.code,{children:`redirect_uri`}),`\nof `,_jsx(_components.code,{children:`https://www.example.com/oauth/callback`}),`, query parameters can be appended\nto the URL and will be passed through the entire auth process. As an example,\n`,_jsx(_components.code,{children:`https://www.example.com/oauth/callback?table=1`}),` as the input `,_jsx(_components.code,{children:`redirect_uri`}),` to\nthe API request would preserve `,_jsx(_components.code,{children:`table=1`}),`. Note that the `,_jsx(_components.code,{children:`code`}),` value is a\nreserved parameter that should not be used, as that will conflict with the\naccess code that will be appended to the `,_jsx(_components.code,{children:`redirect_uri`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`If an account does not exist for the specified email, a 401 error will be\nreturned. To create an account, the `,_jsx(_components.a,{href:`/consumer/users/create-user`,children:`POST /users`}),`\nendpoint should be used.`]}),`\n`,`\n`,`\n`,_jsx(Heading,{level:`3`,id:`request`,children:`Request`}),`\n`,_jsx(ResponseField,{name:`client_id`,type:`string`,required:true,id:`param-client-id`,children:_jsx(_components.p,{children:`OAuth Client ID`})}),`\n`,_jsx(ResponseField,{name:`redirect_uri`,type:`string`,required:true,id:`param-redirect-uri`,children:_jsx(_components.p,{children:`Where you want the user to be redirected`})}),`\n`,_jsx(ResponseField,{name:`response_type`,type:`string`,required:true,id:`param-response-type`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`code`}),` is the required value`]})}),`\n`,_jsx(ResponseField,{name:`scope`,type:`string`,required:true,id:`param-scope`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`passwordless`}),` is the required value`]})}),`\n`,_jsx(ResponseField,{name:`username`,type:`string`,required:true,id:`param-username`,children:_jsx(_components.p,{children:`The user’s email`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Acquire Authorization Code","api":"POST /oauth/authorize","authMethod":"none","description":"This endpoint triggers the passwordless login flow.","href":"/consumer/sso/acquire-auth-code"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Heading,RequestExample,ResponseExample,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Calling this endpoint will send a passwordless email to the email address\nspecified as the `,_jsx(_components.code,{children:`username`}),`. The response to this request will be a `,_jsx(_components.code,{children:`200`}),`\nand an empty response body. The passwordless email will contain a link to log\nin which will redirect the user to the specified `,_jsx(_components.code,{children:`redirect_uri`}),` with the\nauthorization code included in the query params (`,_jsx(_components.code,{children:`?code=...`}),`).`]}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`redirect_uri`}),` must be whitelisted for your integration by our developer\nsupport team. If you need a URL added or changed, feel free to write to\n`,_jsx(`a`,{href:`mailto:developer.support@thanx.com`,children:_jsx(_components.a,{href:`mailto:developer.support@thanx.com`,children:`developer.support@thanx.com`})}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`redirect_uri`}),` is validated by `,_jsx(_components.strong,{children:`exact string match`}),`. Register every URI you\nuse — including native custom-scheme deeplinks (`,_jsx(_components.code,{children:`yourscheme://magic`}),`,\n`,_jsx(_components.code,{children:`yourscheme://open`}),`) `,_jsx(_components.strong,{children:`verbatim and separately`}),` from your HTTPS web callbacks.\nRegistering only HTTPS callbacks makes native sign-in fail with\n`,_jsx(_components.code,{children:`invalid_redirect_uri`}),`. Custom schemes are kept as-is — do not convert them to\n`,_jsx(_components.code,{children:`https`}),`.`]})}),`\n`,_jsxs(_components.p,{children:[`Note that abitrary data can be passed through this authentication process by\nusing custom query parameters. For example, for the whitelisted `,_jsx(_components.code,{children:`redirect_uri`}),`\nof `,_jsx(_components.code,{children:`https://www.example.com/oauth/callback`}),`, query parameters can be appended\nto the URL and will be passed through the entire auth process. As an example,\n`,_jsx(_components.code,{children:`https://www.example.com/oauth/callback?table=1`}),` as the input `,_jsx(_components.code,{children:`redirect_uri`}),` to\nthe API request would preserve `,_jsx(_components.code,{children:`table=1`}),`. Note that the `,_jsx(_components.code,{children:`code`}),` value is a\nreserved parameter that should not be used, as that will conflict with the\naccess code that will be appended to the `,_jsx(_components.code,{children:`redirect_uri`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`If an account does not exist for the specified email, a 401 error will be\nreturned. To create an account, the `,_jsx(_components.a,{href:`/consumer/users/create-user`,children:`POST /users`}),`\nendpoint should be used.`]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`10`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.thanxsandbox.com/oauth/authorize`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:' \"client_id\": \"${client_id}\",'})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"redirect_uri\": \"https://www.example.com/oauth/callback\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"response_type\": \"code\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"scope\": \"passwordless\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"username\": \"john.smith@example.com\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\"`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`401 (Access Denied)`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"access_denied\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error_description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The resource owner or authorization server denied the request.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`401 (Invalid Redirect URI)`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"invalid_redirect_uri\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error_description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The redirect uri included is not valid.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`request`,children:`Request`}),`\n`,_jsx(ResponseField,{name:`client_id`,type:`string`,required:true,id:`param-client-id`,children:_jsx(_components.p,{children:`OAuth Client ID`})}),`\n`,_jsx(ResponseField,{name:`redirect_uri`,type:`string`,required:true,id:`param-redirect-uri`,children:_jsx(_components.p,{children:`Where you want the user to be redirected`})}),`\n`,_jsx(ResponseField,{name:`response_type`,type:`string`,required:true,id:`param-response-type`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`code`}),` is the required value`]})}),`\n`,_jsx(ResponseField,{name:`scope`,type:`string`,required:true,id:`param-scope`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`passwordless`}),` is the required value`]})}),`\n`,_jsx(ResponseField,{name:`username`,type:`string`,required:true,id:`param-username`,children:_jsx(_components.p,{children:`The user’s email`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Acquire Authorization Code","api":"POST /oauth/authorize","authMethod":"none","description":"This endpoint triggers the passwordless login flow.","href":"/consumer/sso/acquire-auth-code"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request","slug":"request","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://api.thanxsandbox.com/oauth/authorize\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -d\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"client_id\": \"${client_id}\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"redirect_uri\": \"https://www.example.com/oauth/callback\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"response_type\": \"code\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"scope\": \"passwordless\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"username\": \"john.smith@example.com\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"1\">\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"\"\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"401 (Access Denied)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"access_denied\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error_description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The resource owner or authorization server denied the request.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"401 (Invalid Redirect URI)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"invalid_redirect_uri\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error_description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The redirect uri included is not valid.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Acquire Authorization Code","path":"/oauth/authorize","method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"client_id":[{"type":"string","description":"OAuth Client ID","required":true}],"redirect_uri":[{"type":"string","description":"Where you want the user to be redirected","required":true}],"response_type":[{"type":"string","description":"`code` is the required value","required":true}],"scope":[{"type":"string","description":"`passwordless` is the required value","required":true}],"username":[{"type":"string","description":"The user’s email","required":true}]}}],"examples":{"example":{"value":{"client_id":"\u003cstring>","redirect_uri":"\u003cstring>","response_type":"\u003cstring>","scope":"\u003cstring>","username":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"thanx","siteName":"Thanx","title":"Acquire Authorization Code - Thanx","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-24T15:09:24.241Z","originalFileLocation":"consumer/sso/acquire-auth-code.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint triggers the passwordless login flow.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Thanx\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Acquire Authorization Code - Thanx\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint triggers the passwordless login flow.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Thanx\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.thanx.com/consumer/sso/acquire-auth-code\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://thanx.mintlify.site/_mintlify/api/og/v2?division=SSO\u0026amp;title=Acquire+Authorization+Code\u0026amp;description=This+endpoint+triggers+the+passwordless+login+flow.\u0026amp;theme=b4df6fb3c288da3b05f2dd02\u0026amp;signature=a105c1d1f5c52d194522c2c3c632047b5741f47dc260cbe322c8c1a3458caf6e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Acquire Authorization Code - Thanx\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint triggers the passwordless login flow.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://thanx.mintlify.site/_mintlify/api/og/v2?division=SSO\u0026amp;title=Acquire+Authorization+Code\u0026amp;description=This+endpoint+triggers+the+passwordless+login+flow.\u0026amp;theme=b4df6fb3c288da3b05f2dd02\u0026amp;signature=a105c1d1f5c52d194522c2c3c632047b5741f47dc260cbe322c8c1a3458caf6e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/thanx/0JkP31DGq1SVLm6U/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Thanx\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#129B9B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.thanx.com/consumer/sso/acquire-auth-code\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/consumer/sso/acquire-auth-code.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.thanx.com/#organization\",\"name\":\"Thanx\",\"url\":\"https://docs.thanx.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/thanx/NEzLP0j6kJjm2liR/logo/light.svg?fit=max\u0026auto=format\u0026n=NEzLP0j6kJjm2liR\u0026q=85\u0026s=8b3bd3f1ffbb1567714a92067df956d9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.thanx.com#website\",\"name\":\"Thanx\",\"url\":\"https://docs.thanx.com\",\"publisher\":{\"@id\":\"https://docs.thanx.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code#webpage\",\"url\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code\",\"name\":\"Acquire Authorization Code\",\"description\":\"This endpoint triggers the passwordless login flow.\",\"dateModified\":\"2026-06-24T15:09:24.241Z\",\"isPartOf\":{\"@id\":\"https://docs.thanx.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.thanx.com/consumer/users/create-user\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"SSO\",\"item\":\"https://docs.thanx.com/consumer/sso/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Acquire Authorization Code\",\"item\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code#apireference\",\"headline\":\"Acquire Authorization Code\",\"name\":\"Acquire Authorization Code\",\"description\":\"This endpoint triggers the passwordless login flow.\",\"url\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code\",\"mainEntityOfPage\":{\"@id\":\"https://docs.thanx.com/consumer/sso/acquire-auth-code#webpage\"},\"dateModified\":\"2026-06-24T15:09:24.241Z\",\"publisher\":{\"@id\":\"https://docs.thanx.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.thanx.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Thanx\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Thanx\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/consumer/sso/acquire-auth-code.md","siteName":"Thanx","nav":{"global":{"anchors":[{"anchor":"Help Center","icon":"book-bookmark","href":"https://help.thanx.com/hc/en-us"},{"anchor":"Thanx Product Updates","icon":"bullhorn","href":"https://thanx.launchnotes.io/"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.thanx.com"},{"anchor":"Email Support","icon":"envelope","href":"mailto:developer.support@thanx.com"}]},"tabs":[{"tab":"Overview","pages":[{"title":"Overview","href":"/overview/intro"}]},{"tab":"Consumer API","pages":[{"group":"Consumer API","pages":[{"title":"Overview","href":"/consumer/overview"},{"group":"Guides","pages":[{"title":"Points Integration","href":"/consumer/guides/points"},{"title":"Push Notifications","href":"/consumer/guides/push-notifications"},{"title":"Deep Linking","href":"/consumer/guides/deep-linking"}]},{"group":"Best Practices","pages":[{"title":"Design Best Practices","sidebarTitle":"Design","href":"/consumer/best-practices/design"},{"title":"Card Enrollment Best Practices","sidebarTitle":"Card Enrollment","href":"/consumer/best-practices/enrollment"},{"title":"Onboarding \u0026 Authentication","href":"/consumer/best-practices/onboarding-authentication"},{"title":"Loyalty \u0026 Rewards Best Practices","sidebarTitle":"Loyalty \u0026 Rewards","href":"/consumer/best-practices/loyalty"},{"title":"Feedback \u0026 Support Best Practices","sidebarTitle":"Feedback \u0026 Support","href":"/consumer/best-practices/feedback"},{"title":"Messaging Best Practices","sidebarTitle":"Messaging","href":"/consumer/best-practices/messaging"}]},{"group":"Usage","pages":[{"title":"Patterns","href":"/consumer/usage/patterns"},{"title":"Headers","href":"/consumer/usage/headers"},{"title":"Errors","href":"/consumer/usage/errors"},{"title":"Legal","href":"/consumer/usage/legal"},{"title":"Certification","href":"/consumer/usage/certification"}]}]},{"group":"Reference","pages":[{"group":"Users","pages":[{"title":"Create User","api":"POST /users","href":"/consumer/users/create-user"},{"title":"Get User","api":"GET /users/me","href":"/consumer/users/get-user"},{"title":"Update User","api":"PATCH /users/:id","href":"/consumer/users/update-user"},{"title":"Delete User","api":"DELETE /users/me","href":"/consumer/users/delete-user"},{"title":"Get Check In Code","api":"GET /users/:id/check_in_code","href":"/consumer/users/check-in-code"}]},{"group":"SSO","pages":[{"title":"Single Sign-On (SSO) Overview","sidebarTitle":"Overview","href":"/consumer/sso/overview"},{"title":"Legal Requirements","description":null,"href":"/consumer/sso/legal-requirements"},{"title":"Acquire Authorization Code","api":"POST /oauth/authorize","href":"/consumer/sso/acquire-auth-code"},{"title":"Acquire Authorization Code (Cross-Domain)","api":"POST /oauth/authorize-cross-domain","description":"Generate an OAuth authorization code for an authenticated user without sending email.","href":"/consumer/sso/acquire-auth-code-cross-domain"},{"title":"Acquire Access Token","api":"POST /oauth/token","href":"/consumer/sso/acquire-access-token"},{"title":"Revoke Access Token","api":"POST /oauth/revoke","href":"/consumer/sso/revoke-access-token"}]},{"group":"Locations","pages":[{"title":"Get Locations","api":"GET /locations","href":"/consumer/locations/get-locations"}]},{"group":"Features","pages":[{"title":"Get Features","api":"GET /features","href":"/consumer/features/get-features"}]},{"group":"Cards","pages":[{"title":"Create Card","api":"POST https://secure.api.thanxsandbox.com/cards","href":"/consumer/cards/create-card"},{"title":"Get Cards","api":"GET /cards","href":"/consumer/cards/get-cards"},{"title":"Delete Card","api":"DELETE /cards/:id","href":"/consumer/cards/delete-card"}]},{"group":"Rewards","pages":[{"title":"Reward Overview","sidebarTitle":"Overview","href":"/consumer/rewards/overview"},{"title":"Get Rewards","api":"GET /rewards","href":"/consumer/rewards/get-rewards"},{"title":"Get Reward","api":"GET /rewards/:id","href":"/consumer/rewards/get-reward"},{"title":"Activate Reward","api":"PATCH /rewards/:id/activate","href":"/consumer/rewards/activate-reward"},{"title":"Finalize Reward","api":"PATCH /rewards/:id/finalize","href":"/consumer/rewards/finalize-reward"},{"title":"Grant Reward","api":"POST /rewards/grant","href":"/consumer/rewards/grant-reward"},{"title":"Update reward","api":"PATCH /rewards/:id","href":"/consumer/rewards/update-reward"}]},{"group":"Signup Programs","pages":[{"title":"Get Signup Programs","api":"GET /signup_programs","href":"/consumer/signup-programs/get-signup-programs"},{"title":"Get Signup Program","api":"GET /signup_programs/:handle","href":"/consumer/signup-programs/get-signup-program"}]},{"group":"Tags","pages":[{"title":"Get Tags","api":"GET /tags","href":"/consumer/tags/get-tags"},{"title":"Update Tags","api":"PUT /tags","href":"/consumer/tags/update-tags"},{"title":"Delete Tag","api":"DELETE /tags/:id","href":"/consumer/tags/delete-tag"}]},{"group":"Communication Settings","pages":[{"title":"Get Communication Settings","api":"GET /communication_settings","href":"/consumer/communication-settings/get"},{"title":"Get Communication Setting by UID","api":"GET /communication_settings/:uid","href":"/consumer/communication-settings/get-by-uid"},{"title":"Update Communication Settings","api":"PATCH /communication_settings/:id","href":"/consumer/communication-settings/update"}]},{"group":"Push Registrations","pages":[{"title":"Create Push Registration","api":"PUT /push_registrations","href":"/consumer/push/create-push-registration"}]},{"group":"Points","pages":[{"title":"Get Points Experiences","api":"GET /points_experiences","href":"/consumer/points/get-experiences"},{"title":"Get Points Experience","api":"GET /points_experiences/:id","href":"/consumer/points/get-experience"},{"title":"Get Points Balance","api":"GET /points_experiences/:id/balance","href":"/consumer/points/get-points-balance"},{"title":"Get Points Products","api":"GET /points_products","href":"/consumer/points/get-products"},{"title":"Get Points Multipliers","api":"GET /points_multipliers","href":"/consumer/points/get-points-multipliers"},{"title":"Exchange Points Product","api":"POST /points_products/:id/rewards","href":"/consumer/points/exchange-product"}]},{"group":"Tiers","pages":[{"title":"Get Tiers Configurations","api":"GET /tier_configurations","href":"/consumer/tiers/get-configs"},{"title":"Get Tier Statuses","api":"GET /tier_statuses","href":"/consumer/tiers/get-statuses"},{"title":"Grant Tier Status","api":"PATCH /tier_statuses/:id","href":"/consumer/tiers/grant-status"}]},{"group":"Gift Cards","pages":[{"title":"Gift Cards Overview","sidebarTitle":"Overview","href":"/consumer/gift-cards/overview"},{"title":"Get Gift Cards","api":"GET /gift_cards","href":"/consumer/gift-cards/get-gift-cards"},{"title":"Create Gift Card","api":"POST /gift_cards","href":"/consumer/gift-cards/create-gift-card"},{"title":"Get Gift Card","api":"GET /gift_cards/{id}","href":"/consumer/gift-cards/get-gift-card"},{"title":"Delete Gift Card","api":"DELETE /gift_cards/{id}","href":"/consumer/gift-cards/delete-gift-card"},{"title":"Get Merchant Configuration","api":"GET /gift_cards/merchant_config","href":"/consumer/gift-cards/get-merchant-config"}]},{"group":"Purchases","pages":[{"title":"Create Purchase","api":"POST /purchases","href":"/consumer/purchases/create-purchase"},{"title":"Get Purchases","api":"GET /purchases","href":"/consumer/purchases/get-purchases"},{"title":"Get Purchase","api":"GET /purchases/:id","href":"/consumer/purchases/get-purchase"},{"title":"Update Purchase Tags","api":"PUT /purchases/:id/tags","href":"/consumer/purchases/update-tags"}]},{"group":"Receipts","pages":[{"title":"Overview","href":"/consumer/receipts/overview"},{"title":"Create Receipt","api":"POST /receipts","href":"/consumer/receipts/create-receipt"},{"title":"Get Receipts","api":"GET /receipts","href":"/consumer/receipts/get-receipts"},{"title":"Get Upload URL","api":"GET /upload_url","href":"/consumer/receipts/get-upload-url"}]},{"group":"Archive","pages":[{"title":"Archive Overview","sidebarTitle":"Overview","href":"/consumer/archive/overview"},{"title":"Get Loyalty Statuses","api":"GET /loyalty_statuses","href":"/consumer/loyalty/get-loyalty-statuses"}]}]}]},{"tab":"Partner API","pages":[{"title":"Partner API","href":"/partner/overview"}]},{"tab":"Loyalty API","pages":[{"title":"Loyalty API","href":"/loyalty/overview"}]},{"tab":"Webhooks","pages":[{"title":"Webhooks","href":"/webhooks/overview"}]},{"tab":"Data Exports","pages":[{"title":"Data Exports","href":"/data/overview"}]},{"tab":"AI","icon":"sparkles","pages":[{"title":"AI","href":"/ai/overview"}]}]},"basePath":"","title":"Acquire Authorization Code - Thanx","buildId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","deploymentId":"dpl_Fyv1NbzwP68g2bEH2Roy98uY1zmE","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-DdEMm2kG.js","utils-BMo572L7.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C-4m9KAx.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DPLK2Oq9.js","snippetPresets-BKjfJMC9.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DTsgtCEj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C8vmhyQM.js","shallow-r9w8LQGS.js","getApiPlaygroundDisplay-DjPI64HQ.js","CodeSnippet-C8Bvhl16.js","CodeSnippets-BtWUwcMy.js","Page-BIYvYBgk.js","getPastedJson-Dcm_3Pgl.js","icon-BXwrTpjc.js","MethodPill-CcjfVmmy.js","DuplicateIcon-BuKIbXAQ.js","createIcon-DaL9yXsO.js","DynamicMarkdown-Co5nikxh.js","SectionHeading-P4UNTsMZ.js","axios-vUo_bRtp.js"]}